apply plugin: 'com.mob.sdk'

MobSDK {
    appKey "305b8b15f68f8"
    appSecret "a3cbdab31615a26ada9781d91e1e7d16"

    ShareSDK {
        //平台配置信息
        devInfo {
            /* Wechat微信和WechatMoments微信朋友圈的appid是一样的；
                注意：开发者不能用我们这两个平台的appid,否则分享不了
                微信测试的时候，微信测试需要先签名打包出apk,
                sample测试微信，要先签名打包，keystore在sample项目中，密码123456
                BypassApproval是绕过审核的标记，设置为true后AppId将被忽略，故不经过
                审核的应用也可以执行分享，但是仅限于分享文字和图片，不能分享其他类型，
                默认值为false。此外，微信收藏不支持此字段。wx4868b35061f87885
                <!--要分享微信小应用程序时用userName,path-->*/
            Wechat {
                id 1
                sortId 1
                appId "wx9455bd2742259ef7"
                appSecret "c58946da98393252077073c29c828d08"
                userName "gh_afb25ac019c9"
                path "pages/index/index.html?id=1"
                withShareTicket true
                miniprogramType 0
                bypassApproval true
                enable true
            }

            WechatMoments {
                id 2
                sortId 2
                appId "wx9455bd2742259ef7"
                appSecret "c58946da98393252077073c29c828d08"
                bypassApproval true
                enable true
            }

            QQ {
                id 3
                sortId 3
                appId "1110701531"
                appKey "mqpLODH4ZANANt85"
                shareByAppClient true
                bypassApproval false
                enable true
            }
            QZone {
                id 4
                sortId 4
                appId "1110701531"
                appKey "mqpLODH4ZANANt85"
                shareByAppClient true
                bypassApproval false
                enable true
            }

        }
    }
}